<?php 

if (!function_exists('sv') || preg_match('#/plugins/comments/admin.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/* utf8-marker = äöü

CMSimple Plugin Comments
Version comments 4.4 
Release: 11/2018
Gert Ebersbach
http://www.ge-webdesign.de
------------------------------------------
Based on: 
uBlog V.0.86
Markus Vetter
www.mv-web-design.de/?CMSimple/

Many thanks to Markus for permission to use the code of 
uBlog V.0.86 for the CMSimple Plugin "comments"
==========================================
*/

initvar('comments');

if($comments)
{
	global $action, $admin, $pth, $ts, $tx, $plugin_cf, $show_entry, $blog_file, $co_author_folder;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		$o.= '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
		return;
	}
  
	if(defined('XH_ADM'))
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0;">
<h4><a href="?comments">Plugin Info &raquo;</a></h4>
<p style="line-height: 1.6em;"><b>Comments</b>&nbsp;by&nbsp;<a href="http://www.ge-webdesign.de/cmsimpleplugins/"><u>ge-webdesign.de&nbsp;&raquo;</u></a> &nbsp; 
for&nbsp;<b>CMSimple&nbsp;4.2</b>&nbsp;or&nbsp;higher&nbsp;from&nbsp;<a href="http://www.cmsimple.org/"><u>cmsimple.org&nbsp;&raquo;</u></a></p>
</div>';
	}
	else
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0; padding: 0 0 6px 0;">
<b><a href="?comments">Plugin Info &raquo;</a></b>
</div>
';
	}
	
	$o.=print_plugin_admin('off');

	if($admin=='') 
	{ 
		$o.= tag('br').'<h4>'.$comments_version.'</h4><p>by <a href="http://www.ge-webdesign.de/" target="_blank">ge-webdesign.de</a>  (released: '.$comments_release.')</p><p>Based on the Plugin uBlog V.0.86 by <a href="http://www.mv-web-design.de/index.php?CMSimple" target="_blank">mv</a>  (released: 2007-08-16)</p><div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
		<p style="text-align: center;">This Plugin is made for <a href="http://www.cmsimple.org/"><span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.2 &raquo;</span></a> or higher.</p>
		<p style="text-align: center;">Optimized for <span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.4</span> or higher.</p>
		<p style="text-align: center;">Recommended is the current version of CMSimple from <a href="http://www.cmsimple.org/">cmsimple.org&nbsp;&raquo;</a></p>
		</div>';
  //### Start-Page of Plugin
	}
	
	if($admin=='plugin_main') 
	{ 
		$o.= '
<h4>'.$comments_version.'</h4>';
		$o.= '
<p>' . $plugin_tx['comments']['admin_hint_comments_admin'] . '</p>
<p>' . $plugin_tx['comments']['admin_hint_blogplugin_update'] . '</p>';
	}
	
	if ($admin <> 'plugin_main') 
	{
		$hint=array();
		$hint['mode_donotshowvarnames'] = false;
		$o.=plugin_admin_common($action, $admin, $plugin, $hint);
	}
}
?>